/**
* @license Apache-2.0
*
* Copyright (c) 2023 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

/**
* Header file containing function declarations for ndarray functions which apply a nullary function.
*/
#ifndef STDLIB_NDARRAY_BASE_NULLARY_H
#define STDLIB_NDARRAY_BASE_NULLARY_H

#include "nullary/macros.h"
#include "nullary/typedefs.h"
#include "nullary/dispatch_object.h"
#include "nullary/dispatch.h"

/*
* The following is auto-generated. Do not manually edit. See scripts/loops.js.
*/

// BEGIN LOOPS
#include "nullary/b.h"

#include "nullary/c.h"
#include "nullary/c_as_b.h"
#include "nullary/c_as_f.h"
#include "nullary/c_as_k.h"
#include "nullary/c_as_s.h"
#include "nullary/c_as_t.h"
#include "nullary/c_as_z.h"

#include "nullary/d.h"
#include "nullary/d_as_b.h"
#include "nullary/d_as_f.h"
#include "nullary/d_as_i.h"
#include "nullary/d_as_k.h"
#include "nullary/d_as_s.h"
#include "nullary/d_as_t.h"
#include "nullary/d_as_u.h"

#include "nullary/f.h"
#include "nullary/f_as_b.h"
#include "nullary/f_as_d.h"
#include "nullary/f_as_k.h"
#include "nullary/f_as_s.h"
#include "nullary/f_as_t.h"

#include "nullary/i.h"
#include "nullary/i_as_b.h"
#include "nullary/i_as_k.h"
#include "nullary/i_as_s.h"
#include "nullary/i_as_t.h"

#include "nullary/k.h"
#include "nullary/k_as_b.h"
#include "nullary/k_as_s.h"

#include "nullary/s.h"

#include "nullary/t.h"
#include "nullary/t_as_b.h"

#include "nullary/u.h"
#include "nullary/u_as_b.h"
#include "nullary/u_as_t.h"

#include "nullary/z.h"
#include "nullary/z_as_b.h"
#include "nullary/z_as_c.h"
#include "nullary/z_as_d.h"
#include "nullary/z_as_f.h"
#include "nullary/z_as_i.h"
#include "nullary/z_as_k.h"
#include "nullary/z_as_s.h"
#include "nullary/z_as_t.h"
#include "nullary/z_as_u.h"
// END LOOPS

#endif // !STDLIB_NDARRAY_BASE_NULLARY_H
